Bug 832472 - katello-configure fails on RHEL-6.3 - undefined method `custom_analzyers' for Katello::Search:Module
katello-configure fails on RHEL-6.3 - undefined method `custom_analzyers' for...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
RHEL63
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 09:38 EDT by James Laska
Modified: 2014-01-27 09:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 14:48:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug-20120615093449.tar.gz (37.19 KB, text/plain)
2012-06-15 09:38 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2012-06-15 09:38:08 EDT
Created attachment 592131 [details]
katello-debug-20120615093449.tar.gz

Description of problem:

katello-configure fails on a freshly installed RHEL-6.3 system with cloudforms-1.0.1 System Engine packages installed from se-rhel-6-candidate brew target.


Version-Release number of selected component (if applicable):
 * candlepin-0.6.5-1.el6_2.src.rpm
 * katello-0.1.316-1.el6_3.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.7-1.el6_3.src.rpm
 * katello-cli-0.1.110-1.el6_3.src.rpm
 * katello-configure-0.1.110-1.el6_3.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.4-1.el6.src.rpm
 * redhat-release-server-6Server-6.3.0.3.el6.src.rpm
 * subscription-manager-0.99.19-1.el6.src.rpm

How reproducible:
 * Several beaker jobs testing RHEL-6.3 + cloudforms-1.0.1 have failed in this manner

Steps to Reproduce:
1. Install RHEL-6.3
2. Add yum repos for CloudForms SystemEngine 1.0.1 (using the nightly brew -candidate repo)
3. Install katello-all
4. Run 'katello-configure'

Actual results:

> # katello-configure
> Starting Katello configuration
> The top-level log file is [/var/log/katello/katello-configure-20120615-091623/main.log]
> Creating Katello database user
> ############################################################ ... OK
> Creating Katello database
> ############################################################ ... OK
> Creating Candlepin database user
> ############################################################ ... OK
> Candlepin setup
> ############################################################ ... OK
> Populating Katello database schema
> ########################################
>   Failed, please check [/var/log/katello/katello-configure/db_migrate.log]

Expected results:

 * No failures

Additional info:

 * Error reported in /var/log/katello-configure/db_migrate.log

> ==  RemoveRepoRelease: migrated (0.0007s) =======================NOTICE:  CREATE TABLE will create implicit sequence "gpg_keys_id_seq" for serial column "gpg_keys.id"
> NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "gpg_keys_pkey" for table "gpg_keys"
> NOTICE:  CREATE TABLE will create implicit sequence "system_tasks_id_seq" for serial column "system_tasks.id"
> NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "system_tasks_pkey" for table "system_tasks"
> rake aborted!
> An error has occurred, this and all later migrations canceled:
> 
> undefined method `custom_analzyers' for Katello::Search:Module
> /usr/share/katello/app/models/indexed_model.rb:23:in `included'
> /usr/share/katello/app/models/indexed_model.rb:6:in `class_eval'
> /usr/share/katello/app/models/indexed_model.rb:6:in `included'
> /usr/share/katello/app/models/user.rb:23:in `include'
> /usr/share/katello/app/models/user.rb:23
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:227:in `load_dependency'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:239:in `require'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:346:in `require_or_load'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:487:in `load_missing_constant'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:183:in `const_missing'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:181:in `each'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:181:in `const_missing'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:499:in `load_missing_constant'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:183:in `const_missing'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:181:in `each'
> /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/dependencies.rb:181:in `const_missing'
> /usr/share/katello/db/migrate/20111208225553_add_user_to_task_status.rb:3:in `up_without_benchmarks'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `send'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `migrate'
> /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:314:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:397:in `__send__'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:397:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:539:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `call'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `ddl_transaction'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/database_statements.rb:139:in `transaction'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/transactions.rb:207:in `transaction'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:613:in `ddl_transaction'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:538:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:525:in `each'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:525:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:435:in `up'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/migration.rb:417:in `migrate'
> /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/railties/databases.rake:151
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `call'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:205:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:200:in `execute'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
> /usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/task.rb:144:in `invoke'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:112:in `invoke_task'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `each'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:90:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:84:in `top_level'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:62:in `run'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
> /usr/lib/ruby/gems/1.8/gems/rake-0.9.2/bin/rake:32
> /usr/bin/rake:19:in `load'
> /usr/bin/rake:19
> Tasks: TOP => db:migrate
> ==============

 * See attached katello-debug-20120615093449.tar.gz
Comment 1 James Laska 2012-06-22 14:48:46 EDT
Fixed in current release.

 * katello-0.1.317-1.el6_2.src.rpm
 * katello-configure-0.1.110-1.el6_3.src.rpm

Note You need to log in before you can comment on or make changes to this bug.